Name: altclub-customizer
Release: alt2
Version: 0.1

#%define directories %buildroot/opt/altclub-customizer

License: GPL
Group: Graphical desktop/Other
Url: https://yadi.sk/d/w3Glkh_d2TTSFw
Packager: Koi <eg.evgeniy at gmail.com>
Source: %name-%version.tar.gz

Requires: altclub-freedesktop-menu
Requires: xdg-utils
Requires: zenity

BuildArch: noarch

Summary(ru_RU.UTF-8): A set of scripts from Alt Linux Active Users Club
Summary: Набор скриптов от Alt Linux Active Users Club

%description
A set of scripts for configuring various components of the system.

%description -l ru_RU.UTF-8
Набор скриптов для настройки различных компонентов системы.

%prep
%setup

%build
%install
# Сейчас эти папки не надо
#for i in de dm ftp samba; do mkdir -p %{directories}/$i; done
mkdir -p %buildroot/opt/altclub-customizer
install -Dm644 template-altclub.desktop %buildroot%_datadir/applications/template-altclub.desktop
install -Dm644 *.{html,sh} %buildroot/opt/altclub-customizer/
chmod 755 %buildroot/opt/altclub-customizer/template-altclub.sh

# flatpak
install -Dm755 flatpak-altclub.sh %buildroot/opt/altclub-customizer/flatpak/flatpak-altclub.sh
install -Dm644 flatpak-altclub.desktop %buildroot%_datadir/applications/flatpak-altclub.desktop

%files
%_datadir/applications/*
/opt/altclub-customizer/template-altclub.sh
/opt/altclub-customizer/altclub-customizer.html
/opt/altclub-customizer/flatpak/flatpak-altclub.sh

%changelog
* Wed Mar 10 2021 Koi <eg.evgeniy@gmail.com> 0.1-alt2
- Initial release for ALT Linux Club.
